> For the complete documentation index, see [llms.txt](https://gitbook-docs.coinmetrics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook-docs.coinmetrics.io/api-reference/timeseries/timeseries-stream/market-liquidations.md).

# Market liquidations

Returns a WebSocket stream of liquidations for specified markets.\
If you are falling behind (slow client) you will get `warning` message first, then `error` message and disconnection will happen.

```json
{"openapi":"3.0.2","info":{"title":"Coin Metrics API v4","version":"4.0.0"},"tags":[{"name":"Timeseries stream","description":"WebSocket endpoints for getting a real-time stream of metrics, market data, indexes and other time series data.\n\n**Endpoints on this page:**\n- `GET /timeseries-stream/asset-metrics` — Asset metrics\n- `GET /timeseries-stream/asset-quotes` — Asset quotes\n- `GET /timeseries-stream/index-levels` — Index levels\n- `GET /timeseries-stream/market-candles` — Market candles\n- `GET /timeseries-stream/market-contract-prices` — Market contract prices\n- `GET /timeseries-stream/market-liquidations` — Market liquidations\n- `GET /timeseries-stream/market-openinterest` — Market open interest\n- `GET /timeseries-stream/market-orderbooks` — Market orderbooks\n- `GET /timeseries-stream/market-quotes` — Market quotes\n- `GET /timeseries-stream/market-trades` — Market trades\n- `GET /timeseries-stream/pair-quotes` — Pair quotes"}],"servers":[{"url":"wss://api.coinmetrics.io/v4"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"description":"Coin Metrics API key can be specified as `?api_key=` query parameter.","in":"query","name":"api_key","type":"apiKey"}},"parameters":{"MarketId":{"description":"Comma separated list of markets or market patterns like `exchange-*` or `exchange-*-spot` or `*USDT-future`.<br/> Use a corresponding `/catalog-all-v2/market-{dataType}` endpoint for the full list of supported markets for a given data type.","in":"query","name":"markets","required":true,"schema":{"type":"array","items":{"type":"string"}},"explode":false},"Backfill":{"description":"What data should be sent upon a connection.<br/> By default the latest values are sent just before real-time data.","in":"query","name":"backfill","schema":{"type":"string","default":"latest","enum":["latest","none"]}},"Pretty":{"description":"Human-readable formatting of JSON responses.","in":"query","name":"pretty","schema":{"type":"boolean","default":false}}},"responses":{"UriTooLong":{"description":"Provided URI is too long. It must not be greater than 10000 symbols."},"StreamingMarketLiquidations":{"description":"Liquidation WebSocket message.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StreamingMarketLiquidation"}}}}},"schemas":{"StreamingMarketLiquidation":{"description":"Market liquidation WebSocket message.","properties":{"market":{"$ref":"#/components/schemas/MarketId"},"time":{"$ref":"#/components/schemas/Time"},"coin_metrics_id":{"$ref":"#/components/schemas/LiquidationsCoinMetricsId"},"amount":{"$ref":"#/components/schemas/LiquidationAmount"},"price":{"$ref":"#/components/schemas/LiquidationPrice"},"side":{"$ref":"#/components/schemas/LiquidationSide"},"type":{"$ref":"#/components/schemas/LiquidationType"},"cm_sequence_id":{"$ref":"#/components/schemas/cmSequenceId"}},"required":["market","time","coin_metrics_id","amount","price","type","cm_sequence_id"],"type":"object"},"MarketId":{"description":"Unique name of the market.","type":"string"},"Time":{"description":"The time in ISO 8601 date-time format. Always with nanoseconds precision.","type":"string","format":"date-time"},"LiquidationsCoinMetricsId":{"description":"ID of a liquidation (unique per exchange market). We are using exchange reported value if exchange reports a unique numeric liquidation id. If exchange reports liquidation id as a string we convert to numeric using Bijective mapping from exchange reported liquidation id's string. If exchange doesn't report unique ID we transform it using exchange reported data to form a unique value per market.","type":"string"},"LiquidationAmount":{"description":"The amount of the base asset liquidated.","type":"string","format":"decimal"},"LiquidationPrice":{"description":"The price of the base asset quoted in the quote asset that the liquidation was executed at.","type":"string","format":"decimal"},"LiquidationSide":{"description":"The market order side. \"buy\" means that an ask was removed from the book by an incoming buy order, \"sell\" means that a bid was removed from the book by an incoming sell order.","type":"string"},"LiquidationType":{"description":"The liquidation type. \"trade\" means that liquidation was executed, \"order\" means that the order was placed for the liquidation at the timestamp of the data entry but it wasn't necessarily executed yet.","type":"string"},"cmSequenceId":{"description":"The monotonically increasing message number, resets on disconnection.","type":"string"}}},"paths":{"/timeseries-stream/market-liquidations":{"get":{"summary":"Market liquidations","description":"Returns a WebSocket stream of liquidations for specified markets.<br/> If you are falling behind (slow client) you will get `warning` message first, then `error` message and disconnection will happen.","operationId":"getTimeseriesStreamMarketLiquidations","tags":["Timeseries stream"],"parameters":[{"$ref":"#/components/parameters/MarketId"},{"$ref":"#/components/parameters/Backfill"},{"$ref":"#/components/parameters/Pretty"}],"responses":{"414":{"$ref":"#/components/responses/UriTooLong"},"default":{"$ref":"#/components/responses/StreamingMarketLiquidations"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://gitbook-docs.coinmetrics.io/api-reference/timeseries/timeseries-stream/market-liquidations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
